ALTER TABLE [dbo].[Author] ADD CONSTRAINT [PK_Author] PRIMARY KEY CLUSTERED 
(
	[Key] ASC
) ON [PRIMARY]

ALTER TABLE [dbo].[Document] ADD CONSTRAINT [PK_Document] PRIMARY KEY CLUSTERED 
(
	[Key] ASC
) ON [PRIMARY]

ALTER TABLE [dbo].[DocumentKeywordLink] ADD CONSTRAINT [PK_DocumentKeywordLink] PRIMARY KEY CLUSTERED 
(
	[DocumentKey],
	[KeywordKey]
) ON [PRIMARY]

ALTER TABLE [dbo].[DocumentType] ADD CONSTRAINT [PK_DocumentType] PRIMARY KEY CLUSTERED 
(
	[Key] ASC
) ON [PRIMARY]

ALTER TABLE [dbo].[Group] ADD CONSTRAINT [PK_Group] PRIMARY KEY CLUSTERED 
(
	[Key] ASC
) ON [PRIMARY]

ALTER TABLE [dbo].[Keyword] ADD CONSTRAINT [PK_Keyword] PRIMARY KEY NONCLUSTERED 
(
	[Key] ASC
) ON [PRIMARY]

ALTER TABLE [dbo].[PublicationSource] ADD CONSTRAINT [PK_PublicationSource] PRIMARY KEY CLUSTERED 
(
	[Key] ASC
) ON [PRIMARY]

ALTER TABLE [dbo].[PublicationSourceType] ADD CONSTRAINT [PK_PublicationSourceType] PRIMARY KEY CLUSTERED 
(
	[Key] ASC
) ON [PRIMARY]

ALTER TABLE [dbo].[Review] ADD CONSTRAINT [PK_Review] PRIMARY KEY CLUSTERED 
(
	[Key] ASC
) ON [PRIMARY]

ALTER TABLE [dbo].[Repository] ADD CONSTRAINT [PK_Repository] PRIMARY KEY CLUSTERED 
(
	[Key] ASC
) ON [PRIMARY]

ALTER TABLE [dbo].[RepositoryUserLink] ADD CONSTRAINT [PK_RepositoryUserLink] PRIMARY KEY CLUSTERED 
(
	[RepositoryKey],
	[UserKey]
) ON [PRIMARY]

ALTER TABLE [dbo].[RepositoryGroupLink] ADD CONSTRAINT [PK_RepositoryGroupLink] PRIMARY KEY CLUSTERED 
(
	[RepositoryKey],
	[GroupKey]
) ON [PRIMARY]

ALTER TABLE [dbo].[Role] ADD CONSTRAINT [PK_Role] PRIMARY KEY CLUSTERED 
(
	[Key] ASC
) ON [PRIMARY]


ALTER TABLE [dbo].[User] ADD CONSTRAINT [PK_User] PRIMARY KEY CLUSTERED 
(
	[Key] ASC
) ON [PRIMARY]

ALTER TABLE [dbo].[UserGroupLink] ADD CONSTRAINT [PK_UserGroupLink] PRIMARY KEY NONCLUSTERED 
(
	[UserKey],
	[GroupKey]
) ON [PRIMARY]


