CREATE PROCEDURE [dbo].RetrieveRoleByKey (
	@Key int
)
AS

SELECT
	[Key],
	[Name],
	Description
FROM [Role]
WHERE [Key] = @Key

IF @@ROWCOUNT = 0
	RETURN 0
ELSE
	RETURN 1
GO

CREATE PROCEDURE [dbo].LoadRole
AS

SELECT
	[Key],
	[Name],
	Description	
FROM [Role]
ORDER BY [Name]
GO
