﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="DocumentControl.ascx.cs" Inherits="DocumentControl" %>

<link rel="stylesheet" type="text/css" href="Controls/css/DocumentControl.css" />

<table class="DocumentContainer">
    <tr>
        <td class="DocumentHeader1" colspan="2">
            Documents (<asp:HyperLink ID="mAddDocumentLink" Text="add new" CssClass="DocumentControl" runat="server" />)
        </td>
    </tr>
    
    <tr class="DocumentHeader1">
        <td colspan="2">
        </td>
    </tr>
    
    <tr class="DocumentHeader2">
        <td class="DocumentHeader2">
            <asp:Button ID="mDeleteButton" Text="Delete" CssClass="DocumentButton" runat="server" onclick="mDeleteButton_Click" />
        </td>

        <td class="DocumentHeader3">
            <asp:DropDownList ID="mFilterDropDownList" CssClass="DocumentControl" runat="server">
                <asp:ListItem Value="ByName" Selected="True">Sort By Name</asp:ListItem>
                <asp:ListItem Value="ByPublicationSource">Sort By Publication Source</asp:ListItem>
                <asp:ListItem Value="ByAuthor">Sort By Author</asp:ListItem>
                <asp:ListItem Value="ByPublicationDate">Sort By Publication Date</asp:ListItem>
            </asp:DropDownList>
            &nbsp;
            <asp:Button ID="mFilterButton" Text="Filter" CssClass="DocumentButton" runat="server" onclick="mFilterButton_Click" />
        </td>
    </tr>

    <tr>
        <td colspan="2">
            <asp:Table ID="mDocumentTable" CssClass="DocumentControl" runat="server">
            </asp:Table>
        </td>
    </tr>
    
    <tr class="DocumentFooter">
        <td colspan="2">
        </td>
    </tr>    
</table>