﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="GroupAdminControl.ascx.cs" Inherits="GroupAdminControl" %>

<link rel="stylesheet" type="text/css" href="Controls/css/GroupAdminControl.css" />

<table class="GroupAdminContainer">   
    <tr class="GroupAdminHeader1">
        <td class="GroupAdminHeader1">
            <asp:Button ID="mDeleteButton" Text="Delete" CssClass="GroupAdminButton" runat="server" onclick="mDeleteButton_Click" />
        </td>

        <td class="GroupAdminHeader2">
            <asp:DropDownList ID="mFilterDropDownList" CssClass="GroupAdminControl" runat="server">
                <asp:ListItem Value="ByName" Selected="True">Sort By Name</asp:ListItem>
                <asp:ListItem Value="ByOwner">Sort By Owner</asp:ListItem>
            </asp:DropDownList>
            &nbsp;
            <asp:Button ID="mFilterButton" Text="Filter" CssClass="GroupAdminButton" runat="server" onclick="mFilterButton_Click" />
        </td>
        
        <td class="GroupAdminHeader3">
            <asp:Button ID="mAddButton" Text="Add New" CssClass="GroupAdminButton" runat="server" onclick="mAddButton_Click" />
        </td>
    </tr>

    <tr>
        <td colspan="3">
            <asp:Table ID="mGroupTable" CssClass="GroupAdminControl" runat="server">
                <asp:TableHeaderRow>                    
                    <asp:TableHeaderCell CssClass="GroupAdminControl"><asp:CheckBox ID="mSelectAllCheckBox" AutoPostBack="true" OnCheckedChanged="mSelectAllCheckBox_CheckedChanged" runat="server" /></asp:TableHeaderCell>
                    <asp:TableHeaderCell CssClass="GroupAdminControl">Name</asp:TableHeaderCell>
                    <asp:TableHeaderCell CssClass="GroupAdminControl">Owner</asp:TableHeaderCell>
                </asp:TableHeaderRow>
            </asp:Table>
        </td>
    </tr>
    
    <tr class="GroupAdminFooter">
        <td colspan="3">
            <br />
        </td>
    </tr>    
</table>