﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="UserAdminControl.ascx.cs" Inherits="UserAdminControl" %>

<link rel="stylesheet" type="text/css" href="Controls/css/UserAdminControl.css" />

<table class="UserAdminContainer">   
    <tr class="UserAdminHeader1">
        <td class="UserAdminHeader1">
            <asp:Button ID="mDeleteButton" Text="Delete" CssClass="UserAdminButton" runat="server" onclick="mDeleteButton_Click" />
        </td>

        <td class="UserAdminHeader2">
            <asp:DropDownList ID="mFilterDropDownList" CssClass="UserAdminControl" runat="server">
                <asp:ListItem Value="ByFullName" Selected="True">Sort By Full Name</asp:ListItem>
                <asp:ListItem Value="ByUsername">Sort By Username</asp:ListItem>
            </asp:DropDownList>
            &nbsp;
            <asp:Button ID="mFilterButton" Text="Filter" CssClass="UserAdminButton" runat="server" onclick="mFilterButton_Click" />
        </td>
        
        <td class="UserAdminHeader3">
            <asp:Button ID="mAddButton" Text="Add New" CssClass="UserAdminButton" runat="server" onclick="mAddButton_Click" />
        </td>
    </tr>

    <tr>
        <td colspan="3">
            <asp:Table ID="mUserTable" CssClass="UserAdminControl" runat="server">
                <asp:TableHeaderRow>                    
                    <asp:TableHeaderCell CssClass="UserAdminControl"><asp:CheckBox ID="mSelectAllCheckBox" AutoPostBack="true" OnCheckedChanged="mSelectAllCheckBox_CheckedChanged" runat="server" /></asp:TableHeaderCell>
                    <asp:TableHeaderCell CssClass="UserAdminControl">Full Name</asp:TableHeaderCell>
                    <asp:TableHeaderCell CssClass="UserAdminControl">Username</asp:TableHeaderCell>
                </asp:TableHeaderRow>
            </asp:Table>
        </td>
    </tr>
    
    <tr class="UserAdminFooter">
        <td colspan="3">
            <br />
        </td>
    </tr>    
</table>