<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="RepositoryView.aspx.cs" Inherits="RepositoryView" %>
<%@ Import Namespace="Bespoke.ResearchExpert.Data" %>
<%@ Register src="Controls/RepositoryControl.ascx" tagname="RepositoryControl" tagprefix="bespoke" %>
<%@ Register src="Controls/GroupControl.ascx" tagname="GroupControl" tagprefix="bespoke" %>
<%@ Register src="Controls/MenuControl.ascx" tagname="MenuControl" tagprefix="bespoke" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <link rel="stylesheet" type="text/css" href="css/Common.css" />
    <link rel="stylesheet" type="text/css" href="css/RepositoryView.css" />
    <title>Research Expert</title>
</head>

<body>
    <form runat="server">
    <table class="main" cellpadding="0" cellspacing="0">
        <tr>
            <td class="bannerbox" colspan="2">
                <img class="floatleft" src="images/corner-top-left.gif" alt="" />
                <img class="floatright" src="images/corner-top-right.gif" alt="" />
                <h1 class="bannerbox">Research Expert</h1>
            </td>
        </tr>

        <tr>
            <td class="navbox" colspan="2">
                <bespoke:MenuControl ID="mMenuControl" runat="server" />
            </td>
        </tr>
    
        <tr>
            <td class="contentbox">
                <table class="RepositoryView">
                    <tr>
                        <td class="RepositoryView1">
                            <bespoke:RepositoryControl ID="RepositoryControl1" runat="server" />
                        </td>
                        
                        <td class="RepositoryView2">
                            <bespoke:GroupControl ID="GroupControl1" runat="server" />
                        </td>
                    </tr>
                </table>
            </td>
            
            <td class="menubox">
                <br />
                <asp:Label CssClass="menubox" ID="mLoginLabel" runat="server" />
            </td>
        </tr>

        <tr>
            <td class="leftbottom">
                <img class="floatleft" src="images/corner-bottom-left.gif" alt=""/>
            </td>

            <td class="rightbottom">
                <img class="floatright" src="images/corner-bottom-right.gif" alt="" />
            </td>
        </tr>
    </table>
    </form>
</body>

</html>

