INSERT INTO [dbo].[Author] ([FullName], Affiliation) VALUES ('Unknown', '')
GO

INSERT INTO [dbo].[DocumentType] ([Name], FileExtension, HttpContentType) VALUES ('AdobeAcrobat', '.pdf', 'Application\pdf')
GO

INSERT INTO [dbo].[PublicationSourceType] ([Name]) VALUES ('Conference')
INSERT INTO [dbo].[PublicationSourceType] ([Name]) VALUES ('Journal')
INSERT INTO [dbo].[PublicationSourceType] ([Name]) VALUES ('Other')
GO

DECLARE @PublicationSourceTypeKey int

SELECT @PublicationSourceTypeKey = [Key]
FROM PublicationSourceType
WHERE [Name] = 'Other'

INSERT INTO [dbo].[PublicationSource] ([Name], TypeKey) VALUES ('Unknown', @PublicationSourceTypeKey)
GO

INSERT INTO [dbo].[Role] ([Name], Description) VALUES ('Observer', 'Read-only user')
INSERT INTO [dbo].[Role] ([Name], Description) VALUES ('User', 'Read-write user')
INSERT INTO [dbo].[Role] ([Name], Description) VALUES ('Administrator', 'Repository administrator')
GO

INSERT INTO [dbo].[User] (Username, Password, IsSiteAdministrator, FullName, EmailAddress, URL) VALUES ('admin', 'admin', 1, 'Admin User', '', '')
GO
