CREATE PROCEDURE [dbo].RetrieveDocumentTypeByKey (
	@Key int
)
AS

SELECT
	[Key],
	[Name],
	FileExtension,
	HttpContentType
FROM DocumentType
WHERE [Key] = @Key

IF @@ROWCOUNT = 0
	RETURN 0
ELSE
	RETURN 1
GO

CREATE PROCEDURE [dbo].LoadDocumentType
AS

SELECT
	[Key],
	[Name],
	FileExtension,
	HttpContentType
FROM [DocumentType]
ORDER BY [Name]
GO
