<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="AddDocument.aspx.cs" Inherits="AddDocument" %>
<%@ Register src="Controls/MenuControl.ascx" tagname="MenuControl" tagprefix="bespoke" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head runat="server">
    <link rel="stylesheet" type="text/css" href="css/Common.css" />
    <link rel="stylesheet" type="text/css" href="css/AddDocument.css" />
    <title>Research Expert</title>
</head>

<body>
    <form runat="server">
    <ajaxToolkit:ToolkitScriptManager runat="Server" EnableScriptGlobalization="true" EnableScriptLocalization="true" ID="mScriptManager" />
    
    <table class="main" cellpadding="0" cellspacing="0">
        <tr>
            <td class="bannerbox" colspan="2">
                <img class="floatleft" src="images/corner-top-left.gif" alt="" />
                <img class="floatright" src="images/corner-top-right.gif" alt="" />
                <h1 class="bannerbox">Research Expert</h1>
            </td>
        </tr>

        <tr>
            <td class="navbox" colspan="2">
                <bespoke:MenuControl ID="mMenuControl" runat="server" />
            </td>
        </tr>
    
        <tr>
            <td class="contentbox">
                <table class="AddDocument">
                    <tr>
                        <th class="AddDocument" colspan="2">
                            Add Document
                        </th>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument1" colspan="2">
                            File
                        </td>
                    </tr>
                    
                     <tr>
                        <td class="AddDocument2">
                            <asp:FileUpload ID="mFileUpload" runat="server" />
                        </td>
                        
                        <td class="AddDocument3">
                            <asp:RequiredFieldValidator ID="mFileRequiredValidator" ControlToValidate="mFileUpload" ValidationGroup="Document" ErrorMessage="*" runat="server" />
                            <asp:RegularExpressionValidator ID="mFileTypeValidator" ControlToValidate="mFileUpload" ValidationGroup="Document" ErrorMessage="PDF" ValidationExpression="^(([a-zA-Z]:)|(\\{2}\w+)\$?)(\\(\w[\w].*))(.pdf|.PDF)$" runat="server" />                                                                                                                              
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument1" colspan="2">
                            Title
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument2">
                            <asp:TextBox ID="mTitleTextBox" Width="200" runat="server" />
                        </td>
                        
                        <td class="AddDocument3">
                            <asp:RequiredFieldValidator ID="mTitleRequiredValidator" ControlToValidate="mTitleTextbox" ValidationGroup="Document" ErrorMessage="*" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument1" colspan="2">
                            Author
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument2">
                            <asp:DropDownList ID="mAuthorDropDownList" Width="200" runat="server" />                                
                        </td>
                        
                        <td class="AddDocument3">
                            <asp:RequiredFieldValidator ID="mAuthorRequiredValidator" ControlToValidate="mAuthorDropDownList" ValidationGroup="Document" ErrorMessage="*" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument1" colspan="2">
                            Publication Source
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument2">
                            <asp:DropDownList ID="mPublicationSourceDropDownList" Width="200" runat="server" />                                
                        </td>
                        
                        <td class="AddDocument3">
                            <asp:RequiredFieldValidator ID="mPublicationSourceRequiredValidator" ControlToValidate="mPublicationSourceDropDownList" ValidationGroup="Document" ErrorMessage="*" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument1" colspan="2">
                            Publication Date
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument2" colspan="2">
                            <asp:TextBox ID="mPublicationDateTextBox" runat="server" />
                            <asp:ImageButton runat="Server" ID="mPublicationDateImageButton" ImageUrl="images/Calendar_scheduleHS.png" AlternateText="Click to show calendar" style="vertical-align:middle;" />
                            <ajaxToolkit:CalendarExtender ID="mCalendarButtonExtender" runat="server" TargetControlID="mPublicationDateTextBox" PopupButtonID="mPublicationDateImageButton" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument1" colspan="2">
                            Keywords
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument2" colspan="2">
                            <asp:TextBox ID="mKeywordsTextBox" Width="300" runat="server" />
                        </td>
                    </tr>

                    <tr>
                        <td class="AddDocument1" colspan="2">
                            Abstract
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument2" colspan="2">
                            <asp:TextBox ID="mAbstractTextBox" Width="300" Height="100" TextMode="MultiLine" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddDocument4" colspan="2">
                            <asp:Button ID="mAddButton" ValidationGroup="Document" runat="server" Text="Add" onclick="mAddButton_Click" />
                            &nbsp;
                            <asp:Button ID="mCancelButton" runat="server" Text="Cancel" onclick="mCancelButton_Click" />
                        </td>
                    </tr>
                </table>
                
                <table class="AddDocumentStatus">
                    <tr>
                        <td class="AddDocumentStatus">
                        <asp:Label ID="mStatusLabel" runat="server" />
                        </td>
                    </tr>
                </table>
            </td>
            
            <td class="menubox">
                <br />
                <asp:Label CssClass="menubox" ID="mLoginLabel" runat="server" />
            </td>
        </tr>

        <tr>
            <td class="leftbottom">
                <img class="floatleft" src="images/corner-bottom-left.gif" alt=""/>
            </td>

            <td class="rightbottom">
                <img class="floatright" src="images/corner-bottom-right.gif" alt="" />
            </td>
        </tr>
    </table>
    </form>
</body>

</html>

