<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="AddRepositoryAdmin.aspx.cs" Inherits="AddRepositoryAdmin" %>
<%@ Register src="Controls/MenuControl.ascx" tagname="MenuControl" tagprefix="bespoke" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <link rel="stylesheet" type="text/css" href="css/Common.css" />
    <link rel="stylesheet" type="text/css" href="css/AddRepositoryAdmin.css" />
    <title>Research Expert</title>
</head>

<body>
    <form runat="server">
    <table class="main" cellpadding="0" cellspacing="0">
        <tr>
            <td class="bannerbox" colspan="2">
                <img class="floatleft" src="images/corner-top-left.gif" alt="" />
                <img class="floatright" src="images/corner-top-right.gif" alt="" />
                <h1 class="bannerbox">Research Expert</h1>
            </td>
        </tr>

        <tr>
            <td class="navbox" colspan="2">
                <bespoke:MenuControl ID="mMenuControl" runat="server" />
            </td>
        </tr>
    
        <tr>
            <td class="contentbox">
                <table class="AddRepositoryAdmin">
                    <tr>
                        <th class="AddRepositoryAdmin" colspan="2">
                            Add Repository
                        </th>
                    </tr>
                    
                    <tr>
                        <td class="AddRepositoryAdmin1" colspan="2">
                            Name
                        </td>
                    </tr>

                    <tr>
                        <td class="AddRepositoryAdmin1">
                            <asp:TextBox ID="mNameTextBox" Width="200" runat="server" />
                        </td>
                        
                        <td class="AddRepositoryAdmin2">
                            <asp:RequiredFieldValidator ID="mNameRequiredValidator" ValidationGroup="Repository" ControlToValidate="mNameTextBox" ErrorMessage="*" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddRepositoryAdmin1" colspan="2">
                            Owner
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddRepositoryAdmin1">
                            <asp:DropDownList ID="mUserDropDownList" Width="200" runat="server" />
                        </td>
                        
                        <td class="AddRepositoryAdmin2">
                            <asp:RequiredFieldValidator ID="mUserRequiredValidator" ValidationGroup="Repository" ControlToValidate="mUserDropDownList" ErrorMessage="*" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddRepositoryAdmin1" colspan="2">
                            Description
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddRepositoryAdmin1" colspan="2">
                            <asp:TextBox ID="mDescriptionTextBox" Width="300" Height="100" TextMode="MultiLine" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddRepositoryAdmin3" colspan="2">
                            <asp:Button ID="mAddButton" ValidationGroup="Repository" runat="server" Text="Add" onclick="mAddButton_Click" />
                            &nbsp;
                            <asp:Button ID="mCancelButton" runat="server" Text="Cancel" onclick="mCancelButton_Click" />
                        </td>
                    </tr>
                </table>
                
                <table class="AddRepositoryAdminStatus">
                    <tr>
                        <td class="AddRepositoryAdminStatus">
                        <asp:Label ID="mStatusLabel" runat="server" />
                        </td>
                    </tr>
                </table>
            </td>
            
            <td class="menubox">
                <br />
                <asp:Label CssClass="menubox" ID="mLoginLabel" runat="server" />
            </td>
        </tr>

        <tr>
            <td class="leftbottom">
                <img class="floatleft" src="images/corner-bottom-left.gif" alt=""/>
            </td>

            <td class="rightbottom">
                <img class="floatright" src="images/corner-bottom-right.gif" alt="" />
            </td>
        </tr>
    </table>
    </form>
</body>

</html>

