<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="AddUserAdmin.aspx.cs" Inherits="AddUserAdmin" %>
<%@ Register src="Controls/MenuControl.ascx" tagname="MenuControl" tagprefix="bespoke" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <link rel="stylesheet" type="text/css" href="css/Common.css" />
    <link rel="stylesheet" type="text/css" href="css/AddUserAdmin.css" />
    <title>Research Expert</title>
</head>

<body>
    <form runat="server">
    <table class="main" cellpadding="0" cellspacing="0">
        <tr>
            <td class="bannerbox" colspan="2">
                <img class="floatleft" src="images/corner-top-left.gif" alt="" />
                <img class="floatright" src="images/corner-top-right.gif" alt="" />
                <h1 class="bannerbox">Research Expert</h1>
            </td>
        </tr>

        <tr>
            <td class="navbox" colspan="2">
                <bespoke:MenuControl ID="mMenuControl" runat="server" />
            </td>
        </tr>
    
        <tr>
            <td class="contentbox">
                <table class="AddUserAdmin">
                    <tr>
                        <th class="AddUserAdmin" colspan="2">
                            Add User
                        </th>
                    </tr>
                    
                    <tr>
                        <td class="AddUserAdmin1" colspan="2">
                            Username
                        </td>
                    </tr>

                    <tr>
                        <td class="AddUserAdmin1">
                            <asp:TextBox ID="mUsernameTextBox" Width="200" runat="server" />
                        </td>
                        
                        <td class="AddUserAdmin2">
                            <asp:RequiredFieldValidator ID="mUsernameRequiredValidator" ValidationGroup="User" ControlToValidate="mUsernameTextBox" ErrorMessage="*" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddUserAdmin1" colspan="2">
                            Password
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddUserAdmin1">
                            <asp:TextBox ID="mPasswordTextBox" Width="200" TextMode="Password" runat="server" />
                        </td>
                        
                        <td class="AddUserAdmin2">
                            <asp:RequiredFieldValidator ID="mPasswordRequiredValidator" ValidationGroup="User" ControlToValidate="mPasswordTextBox" ErrorMessage="*" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddUserAdmin1" colspan="2">
                            Is Site Administrator
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddUserAdmin1" colspan="2">
                            <asp:CheckBox ID="mIsSiteAdministratorCheckBox" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddUserAdmin1" colspan="2">
                            Full Name
                        </td>
                    </tr>

                    <tr>
                        <td class="AddUserAdmin1">
                            <asp:TextBox ID="mFullNameTextBox" Width="200" runat="server" />
                        </td>
                        
                        <td class="AddUserAdmin2">
                            <asp:RequiredFieldValidator ID="mFullNameRequiredValidator" ValidationGroup="User" ControlToValidate="mFullNameTextBox" ErrorMessage="*" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddUserAdmin1" colspan="2">
                            Email Address
                        </td>
                    </tr>

                    <tr>
                        <td class="AddUserAdmin1" colspan="2">
                            <asp:TextBox ID="mEmailAddressTextBox" Width="200" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddUserAdmin1" colspan="2">
                            URL
                        </td>
                    </tr>

                    <tr>
                        <td class="AddUserAdmin1" colspan="2">
                            <asp:TextBox ID="mURLTextBox" Width="200" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td class="AddUserAdmin3" colspan="2">
                            <asp:Button ID="mAddButton" ValidationGroup="User" runat="server" Text="Add" onclick="mAddButton_Click" />
                            &nbsp;
                            <asp:Button ID="mCancelButton" runat="server" Text="Cancel" onclick="mCancelButton_Click" />
                        </td>
                    </tr>
                </table>
                
                <table class="AddUserAdminStatus">
                    <tr>
                        <td class="AddUserAdminStatus">
                        <asp:Label ID="mStatusLabel" runat="server" />
                        </td>
                    </tr>
                </table>
            </td>
            
            <td class="menubox">
                <br />
                <asp:Label CssClass="menubox" ID="mLoginLabel" runat="server" />
            </td>
        </tr>

        <tr>
            <td class="leftbottom">
                <img class="floatleft" src="images/corner-bottom-left.gif" alt=""/>
            </td>

            <td class="rightbottom">
                <img class="floatright" src="images/corner-bottom-right.gif" alt="" />
            </td>
        </tr>
    </table>
    </form>
</body>

</html>

