<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="AuthorView.aspx.cs" Inherits="AuthorView" %>
<%@ Import Namespace="Bespoke.ResearchExpert.Data" %>
<%@ Register src="Controls/DocumentControl.ascx" tagname="DocumentControl" tagprefix="bespoke" %>
<%@ Register src="Controls/MenuControl.ascx" tagname="MenuControl" tagprefix="bespoke" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <link rel="stylesheet" type="text/css" href="css/Common.css" />
    <link rel="stylesheet" type="text/css" href="css/AuthorView.css" />
    <title>Research Expert</title>
</head>

<body>
    <form runat="server">
    <table class="main" cellpadding="0" cellspacing="0">
        <tr>
            <td class="bannerbox" colspan="2">
                <img class="floatleft" src="images/corner-top-left.gif" alt="" />
                <img class="floatright" src="images/corner-top-right.gif" alt="" />
                <h1 class="bannerbox">Research Expert</h1>
            </td>
        </tr>

        <tr>
            <td class="navbox" colspan="2">
                <bespoke:MenuControl ID="mMenuControl" runat="server" />
            </td>
        </tr>
    
        <tr>
            <td class="contentbox">
                <table class="AuthorView">
                    <tr>
                        <th class="AuthorView1">
                            Author
                        </th>
                        
                        <th class="AuthorView2">
                            <asp:Button ID="mEditAuthorButton" Text="Edit" runat="server" />
                        </th>
                    </tr>
                    
                    <tr>                       
                        <td class="AuthorView1">
                            Name:
                        </td>
                        
                        <td class="AuthorView2">
                            <asp:Label ID="mNameLabel" runat="server" />
                        </td>
                    </tr>
                    
                    <tr>                       
                        <td class="AuthorView1">
                            Affiliation:
                        </td>
                        
                        <td class="AuthorView2">
                            <asp:Label ID="mAffiliationLabel" runat="server" />
                        </td>
                    </tr>
                </table>
                
                <table class="AuthorViewContainer">
                    <tr>                       
                        <td class="AuthorViewContainer">
                            <bespoke:DocumentControl ID="mDocumentControl" runat="server" />
                        </td>
                    </tr>
                </table>
            </td>
            
            <td class="menubox">
                <br />
                <asp:Label CssClass="menubox" ID="mLoginLabel" runat="server" />
            </td>
        </tr>

        <tr>
            <td class="leftbottom">
                <img class="floatleft" src="images/corner-bottom-left.gif" alt=""/>
            </td>

            <td class="rightbottom">
                <img class="floatright" src="images/corner-bottom-right.gif" alt="" />
            </td>
        </tr>
    </table>
    </form>
</body>

</html>

