﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="RepositoryAdminControl.ascx.cs" Inherits="RepositoryAdminControl" %>

<link rel="stylesheet" type="text/css" href="Controls/css/RepositoryAdminControl.css" />

<table class="RepositoryAdminContainer">   
    <tr class="RepositoryAdminHeader1">
        <td class="RepositoryAdminHeader1">
            <asp:Button ID="mDeleteButton" Text="Delete" CssClass="RepositoryAdminButton" runat="server" onclick="mDeleteButton_Click" />
        </td>

        <td class="RepositoryAdminHeader2">
            <asp:DropDownList ID="mFilterDropDownList" CssClass="RepositoryAdminControl" runat="server">
                <asp:ListItem Value="ByName" Selected="True">Sort By Name</asp:ListItem>
                <asp:ListItem Value="ByOwner">Sort By Owner</asp:ListItem>
                <asp:ListItem Value="ByCreationDate">Sort By Creation Date</asp:ListItem>
            </asp:DropDownList>
            &nbsp;
            <asp:Button ID="mFilterButton" Text="Filter" CssClass="RepositoryAdminButton" runat="server" onclick="mFilterButton_Click" />
        </td>
        
        <td class="RepositoryAdminHeader3">
            <asp:Button ID="mAddButton" Text="Add New" CssClass="RepositoryAdminButton" runat="server" onclick="mAddButton_Click" />
        </td>
    </tr>

    <tr>
        <td colspan="3">
            <asp:Table ID="mRepositoryTable" CssClass="RepositoryAdminControl" runat="server">
                <asp:TableHeaderRow>                    
                    <asp:TableHeaderCell CssClass="RepositoryAdminControl"><asp:CheckBox ID="mSelectAllCheckBox" AutoPostBack="true" OnCheckedChanged="mSelectAllCheckBox_CheckedChanged" runat="server" /></asp:TableHeaderCell>
                    <asp:TableHeaderCell CssClass="RepositoryAdminControl">Name</asp:TableHeaderCell>
                    <asp:TableHeaderCell CssClass="RepositoryAdminControl">Owner</asp:TableHeaderCell>
                    <asp:TableHeaderCell CssClass="RepositoryAdminControl">Creation Date</asp:TableHeaderCell>
                </asp:TableHeaderRow>
            </asp:Table>
        </td>
    </tr>
    
    <tr class="RepositoryAdminFooter">
        <td colspan="3">
            <br />
        </td>
    </tr>    
</table>