﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="RepositoryControl.ascx.cs" Inherits="RepositoryControl" %>

<link rel="stylesheet" type="text/css" href="Controls/css/RepositoryControl.css" />

<table class="RepositoryContainer">
    <tr>
        <td class="RepositoryHeader1" colspan="2">
            Repositories (<a class="RepositoryControl" href="AddRepository.aspx">add new</a>)
        </td>
    </tr>
    
    <tr class="RepositoryHeader1">
        <td colspan="2">
        </td>
    </tr>
    
    <tr class="RepositoryHeader2">
        <td class="RepositoryHeader2">
            <asp:Button ID="mDeleteButton" Text="Delete" CssClass="RepositoryButton" runat="server" onclick="mDeleteButton_Click" />
        </td>

        <td class="RepositoryHeader3">
            <asp:DropDownList ID="mFilterDropDownList" CssClass="RepositoryControl" runat="server">
                <asp:ListItem Value="ByMembership" Selected="True">Sort By Membership</asp:ListItem>
                <asp:ListItem Value="ByName">Sort By Name</asp:ListItem>
            </asp:DropDownList>
            &nbsp;
            <asp:Button ID="mFilterButton" Text="Filter" CssClass="RepositoryButton" runat="server" onclick="mFilterButton_Click" />
        </td>
    </tr>

    <tr>
        <td colspan="2">
            <asp:Table ID="mRepositoryTable" CssClass="RepositoryControl" runat="server">
                <asp:TableHeaderRow>
                    <asp:TableHeaderCell CssClass="RepositoryControl">Name</asp:TableHeaderCell>
                    <asp:TableHeaderCell CssClass="RepositoryControl">Membership</asp:TableHeaderCell>
                    <asp:TableHeaderCell CssClass="RepositoryControl"># of Documents</asp:TableHeaderCell>
                </asp:TableHeaderRow>
            </asp:Table>
        </td>
    </tr>
    
    <tr class="RepositoryFooter">
        <td colspan="2">
        </td>
    </tr>    
</table>