<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="SiteAdministration.aspx.cs" Inherits="SiteAdministration" %>
<%@ Register src="Controls/MenuControl.ascx" tagname="MenuControl" tagprefix="bespoke" %>
<%@ Register src="Controls/UserAdminControl.ascx" tagname="UserAdminControl" tagprefix="bespoke" %>
<%@ Register src="Controls/GroupAdminControl.ascx" tagname="GroupAdminControl" tagprefix="bespoke" %>
<%@ Register src="Controls/PublicationSourceTypeAdminControl.ascx" tagname="PublicationSourceTypeAdminControl" tagprefix="bespoke" %>
<%@ Register src="Controls/RepositoryAdminControl.ascx" tagname="RepositoryAdminControl" tagprefix="bespoke" %>
<%@ Register src="Controls/DocumentTypeAdminControl.ascx" tagname="DocumentTypeAdminControl" tagprefix="bespoke" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head runat="server">
    <link rel="stylesheet" type="text/css" href="css/Common.css" />
    <link rel="stylesheet" type="text/css" href="css/SiteAdministration.css" />
    <title>Research Expert</title>
</head>

<body>
    <form runat="server">
    <ajaxToolkit:ToolkitScriptManager runat="Server" EnableScriptGlobalization="true" EnableScriptLocalization="true" ID="mScriptManager" />
    <table class="main" cellpadding="0" cellspacing="0">
        <tr>
            <td class="bannerbox" colspan="2">
                <img class="floatleft" src="images/corner-top-left.gif" alt="" />
                <img class="floatright" src="images/corner-top-right.gif" alt="" />
                <h1 class="bannerbox">Research Expert</h1>
            </td>
        </tr>

        <tr>
            <td class="navbox" colspan="2">
                <bespoke:MenuControl ID="mMenuControl" runat="server" />
            </td>
        </tr>
    
        <tr>
            <td class="contentbox">
                <asp:HiddenField ID="mSelectedTabField" Value="" runat="server" />
                <ajaxToolkit:TabContainer ID="mTabContainer" AutoPostBack="true" OnActiveTabChanged="mTabContainer_ActiveTabChanged" runat="server" style="margin:50px;width:470px;">
                    <ajaxToolkit:TabPanel ID="mUserTabPanel" HeaderText="Users" runat="server" >
                        <ContentTemplate>
                            <bespoke:UserAdminControl ID="mUserAdminControl" runat="server" />
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                    <ajaxToolkit:TabPanel ID="mGroupsTabPanel" HeaderText="Groups" runat="server">
                        <ContentTemplate>                            
                            <bespoke:GroupAdminControl ID="mGroupAdminControl" runat="server" />
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                    <ajaxToolkit:TabPanel ID="mRepositoriesTabPanel" HeaderText="Repositories" runat="server">
                        <ContentTemplate>
                            <bespoke:RepositoryAdminControl ID="mRepositoryAdminControl" runat="server" />
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                    <ajaxToolkit:TabPanel ID="mPublicationSourceTypesPanel" HeaderText="Publication Source Types" runat="server">
                        <ContentTemplate>
                            <bespoke:PublicationSourceTypeAdminControl ID="mPublicationSourceTypeAdminControl" runat="server" />
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                    <ajaxToolkit:TabPanel ID="mDocumentTypesPanel" HeaderText="Document Types" runat="server">
                        <ContentTemplate>
                            <bespoke:DocumentTypeAdminControl ID="mDocumentTypeAdminControl" runat="server" />
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                </ajaxToolkit:TabContainer>
            </td>
            
            <td class="menubox">
                <br />
                <asp:Label CssClass="menubox" ID="mLoginLabel" runat="server" />
            </td>
        </tr>

        <tr>
            <td class="leftbottom">
                <img class="floatleft" src="images/corner-bottom-left.gif" alt=""/>
            </td>

            <td class="rightbottom">
                <img class="floatright" src="images/corner-bottom-right.gif" alt="" />
            </td>
        </tr>
    </table>
    </form>
</body>

</html>

